Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class EmptyExpression

This class is a place holder for an empty expression. Empty expression are used in closures lists like (;). During class Generation this expression should be either ignored or reaplce with a null value.

author:
  Jochen Theodorou

see:
  EmptyStatement

Field Summary
`EmptyExpression` | `INSTANCE`

Constructor Summary
`EmptyExpression()`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### EmptyExpression

    EmptyExpression()

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)